import { type SyntheticEvent } from 'react';
import './adminCheckbox-styles.scss';
interface IOption {
    id: string;
    label: string;
}
interface IChangeEvent extends Omit<SyntheticEvent, 'target'> {
    target: {
        value?: string[];
    } & Omit<SyntheticEvent['target'], 'value'>;
}
export interface IAdminCheckboxProps {
    /** Label for the checkbox group */
    label?: string;
    /** Array of options for the checkboxes */
    options: Array<IOption>;
    /** Array of selected values */
    value?: string[];
    /** Callback function when a checkbox is changed */
    onChange?: (event: IChangeEvent) => void;
    /** Optional class to style the checkboxes */
    className?: string;
    /** Optional flag to indicate if there's an error */
    error?: boolean;
    /** Optional helper text to display additional information */
    helperText?: string;
    /** Optional name attribute for the checkbox group */
    name?: string;
}
declare const _default: import("react").MemoExoticComponent<(props: IAdminCheckboxProps) => import("react/jsx-runtime").JSX.Element>;
export default _default;
