import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { FormHelperText, Typography } from '@mui/material';
import Checkbox from '@mui/material/Checkbox';
import FormControl from '@mui/material/FormControl';
import FormControlLabel from '@mui/material/FormControlLabel';
import './adminCheckbox-styles.scss';
const AdminCheckbox = (props) => {
    const { label = '', options, value = [], onChange = () => { }, className = '', error = false, helperText = '', name, } = props;
    const renderCheckboxOptions = () => {
        const handleOnChange = (optionId) => (event) => {
            const newEvent = {
                ...event,
                target: {
                    ...event.target,
                    value: value.includes(optionId)
                        ? value.filter(item => item !== optionId)
                        : [...value, optionId],
                },
            };
            onChange(newEvent);
        };
        return options.map(option => {
            const { id, label } = option;
            return (_jsx(FormControlLabel, { checked: value.includes(option.id), onChange: handleOnChange(option.id), control: _jsx(Checkbox, { className: `adminCheckbox__checkBox ${className}` }), label: label, className: "adminCheckbox__checkboxLabel" }, id));
        });
    };
    return (_jsxs(FormControl, { component: "fieldset", name: name, error: error, className: "adminCheckbox__container", children: [_jsx(Typography, { children: label }), _jsx("div", { className: "adminCheckbox__checkboxGroup", children: renderCheckboxOptions() }), _jsx(FormHelperText, { className: "adminCheckbox__helperText", children: helperText })] }));
};
export default memo(AdminCheckbox);
