import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { observer } from 'mobx-react-lite';
import { Close as CloseIcon } from '@mui/icons-material';
import { IconButton, Slide, Snackbar, Typography } from '@mui/material';
import { AnchorOrigin, TOAST_PRESET, ToastPreset } from '../../constants/toast-constants';
import { useStore } from '../../models/root-store/root-store';
import './adminToast-styles.scss';
const TransitionUp = (props) => _jsx(Slide, { ...props, direction: "left" });
const AdminToast = () => {
    const { viewStore } = useStore();
    const { toastStore } = viewStore;
    const { closeToast, isToastVisible, preset, toastMessage } = toastStore;
    const finalToastMessage = preset !== ToastPreset.Success && !toastMessage ? 'Something went wrong!' : toastMessage;
    const isWarningPreset = preset === ToastPreset.Warning;
    const { backgroundColor, borderColor, icon: Icon } = TOAST_PRESET[preset];
    return (_jsx(Snackbar, { anchorOrigin: {
            horizontal: AnchorOrigin.Right,
            vertical: AnchorOrigin.Top,
        }, className: "adminToast__wrapper", onClose: closeToast, open: isToastVisible, TransitionComponent: TransitionUp, children: _jsxs("div", { className: "adminToast__container", style: { backgroundColor, borderColor }, children: [_jsxs("div", { className: "adminToast__subContainer", children: [_jsx(Icon, { className: `adminToast__icon ${isWarningPreset ? 'adminToast__warningIcon' : ''}` }), _jsx(Typography, { className: "adminToast__message", children: finalToastMessage })] }), _jsx(IconButton, { className: "adminToast__crossButton", onClick: closeToast, children: _jsx(CloseIcon, { className: "adminToast__crossIcon" }) })] }) }));
};
export default observer(AdminToast);
